// chapitre 4 using declaration.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"

class A
{
public:
	int f(int i)
	{
		printf("A::f(int=%d)\n",i);
		return i;
	}
	char f(char i)
	{
		printf("A::f(char=%c)\n",i);
		return i;
	}
} ;

class B
{
public:
	double f(double d)
	{
		printf("B::f(double=%g\n",d);
		return d;
	}
} ;

class AetB : public A, public B
{
public:
	using A::f;
	using B::f;
	char f(char a)
	{
		printf("AetB::f(char=%c\n",a);
		return a;
	}
	bool f(bool b)
	{
		printf("AetB::f(boolean=%d\n",b);
		return b;
	}
} ;

int main(int argc, char* argv[])
{
	AetB x;
	x.A::f(1000);
	x.B::f(2.0);
	x.f('A');
	x.f(true);
	return 0;
}

